Loading...
Searching...
No Matches
mbedtls_asn1_named_data Struct Reference
Asn1_module

`#include <asn1.h>`

Collaboration diagram for mbedtls_asn1_named_data:
[legend]

## Data Fields

mbedtls_asn1_buf | oid
mbedtls_asn1_buf | val
struct mbedtls_asn1_named_data * | next
unsigned char | private_next_merged

## Detailed Description

Container for a sequence or list of 'named' ASN.1 data items

Definition at line 178 of file asn1.h.

## Field Documentation

## next

struct mbedtls_asn1_named_data* mbedtls_asn1_named_data::next

The next entry in the sequence.

The details of memory management for named data sequences are not documented and may change in future versions. Set this field to `NULL` when initializing a structure, and do not modify it except via Mbed TLS library functions.

Definition at line 189 of file asn1.h.

Referenced by mbedtls_x509_dn_get_next().

## oid

mbedtls_asn1_buf mbedtls_asn1_named_data::oid

The object identifier.

Definition at line 179 of file asn1.h.

## private_next_merged

unsigned char mbedtls_asn1_named_data::private_next_merged

Merge next item into the current one?

This field exists for the sake of Mbed TLS's X.509 certificate parsing code and may change in future versions of the library.

Definition at line 196 of file asn1.h.

## val

mbedtls_asn1_buf mbedtls_asn1_named_data::val

The named value.

Definition at line 180 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h